# Generate automatically. Do not edit.

commit a14788849d1ef44422d679534a13821eab5bb5f4
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-10

    Release 0.26.4
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 4 ++++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 7864e5344d63a37eb55e615c3dd8ce4f0f278583
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   2026-03-01

    Update Kazakh translation.

 po/kk.po | 938 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 446 insertions(+), 492 deletions(-)

commit 353692b67b3874331be6646d34e0ac684d42a9a7
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-10

    fuzz: build persist fuzzer with AutoMake
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 fuzz/Makefile.am | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit fdbf7aa00ca559b0ce7de54492f4f21080b82f41
Author: filmsi <miles@filmsi.net>
Date:   2026-07-10

    Update sl.po
    
    Updated Slovenia translation, because a new string was added.

 po/sl.po | 136 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 70 insertions(+), 66 deletions(-)

commit 8992b1fc2e66777e74ce91f2e78687341d33a3bc
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-09

    Release 0.26.3
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 7 +++++++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 11 insertions(+), 4 deletions(-)

commit e909c6524d195b0eeb19d979bcfef5bdb45b0b26
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-09

    trust: fix error message when trying to store an existing cert
    
    Previously when trying to store a certificate that was already
    present in trust store produced a confusing error message:
    "couldn't create object: The field is read-only"
    now the error message has been changed to:
    "anchor exists but can't be modified: The field is read-only"
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 trust/anchor.c | 47 ++++++++++++++++++-----------------------------
 1 file changed, 18 insertions(+), 29 deletions(-)

commit ea6480b4b52e23b6efff9db559b4ddc12b404478
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-02

    parser: fix memory leak in build_openssl_extensions
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 fuzz/persist.in/attrs_build_memleak4.pem | 42 ++++++++++++++++++++++++++++++++
 trust/parser.c                           | 22 +++++++++++------
 2 files changed, 57 insertions(+), 7 deletions(-)

commit 0eedd4ddd7c924f9cbb4ac496b3fda699435c3cf
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-07-02

    rpc: add recursion depth limit into RPC attribute parsing (CVE-2026-13757)
    
    A DoS was possible when client sent request to a server with deeply
    nested attributes causing stack exhaustion on the server.
    This patch adds a recursion limit on all server entry points to
    prevent such attacks.
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/rpc-message.c      | 62 +++++++++++++++++++++++++++++++++++-----------
 p11-kit/rpc-message.h      |  4 ++-
 p11-kit/rpc-server.c       | 12 ++++++---
 p11-kit/test-rpc-message.c | 38 ++++++++++++++++++++++++++++
 p11-kit/test-rpc.c         | 27 ++++++++++++++++++++
 5 files changed, 124 insertions(+), 19 deletions(-)

commit 5e81ed3eb3860ed668bc05ae49a8dd813f52efd6
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-06-15

    Free previously allocated objects when parsing .p11-kit file fails
    
    * added destructor when calling p11_array_new() in
      p11_parser_format_persist(). This way the array is
      properly freed when error occurs during parsing.
    * added fuzzer testcase
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 fuzz/persist.in/attrs_build_memleak3.p11-kit | Bin 0 -> 3693 bytes
 trust/parser.c                               |   8 ++++++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 6d4a82edd3901a67c829e6d9e0910b368cfa6668
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-06-12

    Reject numerical attribute type that matches CKA_INVALID
    
    * fixes a memory leak when later on attrs_build did not
      free the memory because type was CKA_INVALID
    * added new fuzzer testcase
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/persist.c                               | 4 ++++
 fuzz/persist.in/numerical_invalid_type.p11-kit | 2 ++
 2 files changed, 6 insertions(+)

commit 27a401259308a4cb5d73d572515f3ffc29d6d5dc
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-06-12

    trust/parser.c: memory management hardening
    
    * fixes several memory leaks
    * added new fuzzer tests
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/debug.h                               |   2 +-
 fuzz/persist.in/asn1_memleak.p11-kit         |   1 +
 fuzz/persist.in/attrs_build_memleak2.p11-kit | Bin 0 -> 274499 bytes
 trust/parser.c                               | 237 ++++++++++++++++++++-------
 4 files changed, 184 insertions(+), 56 deletions(-)

commit ece2a676c67b7d8d599ccce3051b0463404027f6
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-06-09

    p11-kit/uri.c: memory management hardening
    
    * added new fuzzer tests (timeout, uri_parse_int_overflow)
    * fixed integer overflow in static function atoin
    * fixed bunch of memory leaks
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 fuzz/uri.in/timeout.uri                |  1 +
 fuzz/uri.in/uri_parse_int_overflow.uri |  1 +
 p11-kit/uri.c                          | 71 +++++++++++++++++++++++++++++-----
 3 files changed, 64 insertions(+), 9 deletions(-)

commit 4ecb01d7833561341f35f82f85fc168a89cabcc6
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-06-09

    Add extra fuzzer test values
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 fuzz/conf.in/dash.conf                             |   1 +
 fuzz/persist.in/attrs_build_memleak1.p11-kit       |   2 ++
 fuzz/persist.in/attrs_merge_memleak.p11-kit        | Bin 0 -> 1838 bytes
 fuzz/persist.in/attrs_take_memleak.p11-kit         |  23 +++++++++++++++++++++
 fuzz/persist.in/lexer_next_buffer_overflow.p11-kit |   2 ++
 fuzz/persist.in/single-quote-value.p11-kit         |   2 ++
 6 files changed, 30 insertions(+)

commit 2e6578326beff948f21323e19499d023f290a583
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-05-26

    persist: fix parse_string corner-case
    
    Function parse_string incorrectly interpreted the
    value (") as string, which triggered the
    assert (value <= end) in function p11_url_parse
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/persist.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 802b820e75aa5e760a3fb940d92b80cbd0a79180
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-05-22

    common/persist.c: memory management hardening
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/persist.c | 57 +++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 40 insertions(+), 17 deletions(-)

commit e208a1f62364beeaddaa50b344406ebb5c9f5033
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-05-25

    trust: Pacify cppcheck warnings
    
    cppcheck 2.20 produces a warning if we don't check the result of
    fopen. This adds an assert for each invocation to suppress it.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 trust/test-module.c | 3 +++
 1 file changed, 3 insertions(+)

commit 381f771031d0c6d2559fd57c4788fdc4be172959
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-05-22

    common: Suppress -Wdiscarded-qualifiers warnings
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 common/base64.c | 2 +-
 common/url.c    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 119aea2fee269a1231d6e29f1985d1baeddd6d3b
Author: Andreas Metzler <ametzler@bebt.de>
Date:   2026-05-25

    Fix autoreconf error with gettext 1.0
    
    Use quoting to avoid autopoint error ("found more than one invocation")
    Fixes: #759
    
    Signed-off-by: Andreas Metzler <ametzler@bebt.de>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5d5130c6610760151e61df9fede4826f765e7ef
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-05-21

    common/lexer.c: memory management hardening
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/lexer.c | 81 +++++++++++++++++++++++++++++-----------------------------
 common/lexer.h |  2 +-
 2 files changed, 41 insertions(+), 42 deletions(-)

commit 2341b9ddf712ec4f0f8f5b2071eb4536ecb71a85
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-05-21

    ci: Update CI image to Fedora 44
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c42442f776ffe0fb1d8dae4dbe4d4b934928d9f9
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-05-21

    ci: Fix coverage reporting
    
    This updates the coveralls action to 2.3.6, which supports the
    cobertura format.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/actions/basic-meson/action.yaml |  4 ++--
 .github/workflows/test.yaml             | 13 ++++++++-----
 build/run-wrapper.sh                    |  4 +++-
 3 files changed, 13 insertions(+), 8 deletions(-)

commit a46432823528992bf81c77ca99831075a6a10b8f
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-05-21

    common/attrs.c: memory management hardening
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/attrs.c | 77 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 45 insertions(+), 32 deletions(-)

commit 3822b6b2de2e606809afeaffae7ffdc682447261
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-05-20

    common/asn1.c: memory management hardening
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/asn1.c | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit 72d69f11eab305c86377620435be7934f0e97379
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-05-20

    fuzz: build conf, uri, and persist fuzzers with meson
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 fuzz/meson.build | 13 +++++++++++--
 meson.build      |  2 +-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 989aecd9084454892f41232991cbbda54376d621
Author: Shiz01 <shiz2048@gmail.com>
Date:   2026-05-19

        trust: fix memory leaks in p11_x509_parse_extended_key_usage
    
        In p11_x509_parse_extended_key_usage() some paths returned early
        without releasing allocated memory. This fix added cleanup.
    
        Signed-off-by: Shiz01 shiz2048@gmail.com

 trust/x509.c | 32 ++++++++++++++++++++++++--------
 1 file changed, 24 insertions(+), 8 deletions(-)

commit 24151187c977bd10b30fffedc47033b438a15c87
Author: David Korczynski <david@adalogics.com>
Date:   2026-05-12

    adjust copyright
    
    Signed-off-by: David Korczynski <david@adalogics.com>

 fuzz/conf_fuzzer.c    | 2 +-
 fuzz/persist_fuzzer.c | 2 +-
 fuzz/uri_fuzzer.c     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit c6bf6d6d88140f43f4c8f9367cad7b72f79e1105
Author: David Korczynski <david@adalogics.com>
Date:   2026-03-27

    fuzz: add three new harnesses
    
    Signed-off-by: David Korczynski <david@adalogics.com>

 fuzz/Makefile.am                                 |  21 ++++-
 fuzz/conf.in/basic.conf                          |   5 ++
 fuzz/conf.in/basic_src.conf                      |   5 ++
 fuzz/conf.in/multiline.conf                      |   7 ++
 fuzz/conf.in/multiline_src.conf                  |   7 ++
 fuzz/conf.in/pem_block.conf                      |   4 +
 fuzz/conf.in/pem_block_src.conf                  |   4 +
 fuzz/conf.in/section.conf                        |   5 ++
 fuzz/conf.in/section_src.conf                    |   5 ++
 fuzz/conf.in/system-pkcs11_src.conf              |   6 ++
 fuzz/conf.in/test-1_src.conf                     |   6 ++
 fuzz/conf.in/test-system-invalid_src.conf        |   3 +
 fuzz/conf.in/test-system-merge_src.conf          |   7 ++
 fuzz/conf.in/test-system-none_src.conf           |   8 ++
 fuzz/conf.in/test-system-only_src.conf           |   8 ++
 fuzz/conf.in/test-user-invalid_src.conf          |   3 +
 fuzz/conf.in/test-user-only_src.conf             |   4 +
 fuzz/conf.in/test-user_src.conf                  |   3 +
 fuzz/conf.in/with-eku_src.conf                   |  19 +++++
 fuzz/conf.in/with-ku_src.conf                    |  19 +++++
 fuzz/conf_fuzzer.c                               |  67 ++++++++++++++++
 fuzz/persist.in/cacert-ca.der                    | Bin 0 -> 1857 bytes
 fuzz/persist.in/cacert3-distrust-all.pem         |  44 +++++++++++
 fuzz/persist.in/cacert3-distrusted-all.pem       |  43 +++++++++++
 fuzz/persist.in/cacert3-not-trusted.pem          |  42 ++++++++++
 fuzz/persist.in/cacert3-trusted-alias.pem        |  42 ++++++++++
 fuzz/persist.in/cacert3-trusted-keyid.pem        |  42 ++++++++++
 fuzz/persist.in/cacert3-trusted-server-alias.pem |  43 +++++++++++
 fuzz/persist.in/cacert3-trusted.pem              |  43 +++++++++++
 fuzz/persist.in/cacert3-twice.pem                |  84 ++++++++++++++++++++
 fuzz/persist.in/cacert3.der                      | Bin 0 -> 1885 bytes
 fuzz/persist.in/cacert3.pem                      |  42 ++++++++++
 fuzz/persist.in/distrusted.pem                   |  23 ++++++
 fuzz/persist.in/duplicated1.der                  | Bin 0 -> 1010 bytes
 fuzz/persist.in/duplicated2.der                  | Bin 0 -> 1010 bytes
 fuzz/persist.in/extensions.p11-kit               |  23 ++++++
 fuzz/persist.in/multiple.pem                     |  58 ++++++++++++++
 fuzz/persist.in/openssl-trust-no-trust.pem       |  27 +++++++
 fuzz/persist.in/redhat-ca.der                    | Bin 0 -> 948 bytes
 fuzz/persist.in/self-signed-with-eku.der         | Bin 0 -> 480 bytes
 fuzz/persist.in/self-signed-with-ku.der          | Bin 0 -> 478 bytes
 fuzz/persist.in/testing-server.der               | Bin 0 -> 554 bytes
 fuzz/persist.in/thawte.pem                       |  25 ++++++
 fuzz/persist.in/verisign-v1.der                  | Bin 0 -> 576 bytes
 fuzz/persist.in/verisign-v1.p11-kit              |  17 ++++
 fuzz/persist.in/verisign-v1.pem                  |  15 ++++
 fuzz/persist_fuzzer.c                            |  73 ++++++++++++++++++
 fuzz/uri.in/bare.uri                             |   1 +
 fuzz/uri.in/id_cert.uri                          |   1 +
 fuzz/uri.in/library.uri                          |   1 +
 fuzz/uri.in/object_private.uri                   |   1 +
 fuzz/uri.in/percent.uri                          |   1 +
 fuzz/uri.in/pin_source.uri                       |   1 +
 fuzz/uri.in/pin_value.uri                        |   1 +
 fuzz/uri.in/secret_key.uri                       |   1 +
 fuzz/uri.in/serial.uri                           |   1 +
 fuzz/uri.in/slot.uri                             |   1 +
 fuzz/uri.in/token.uri                            |   1 +
 fuzz/uri.in/vendor.uri                           |   1 +
 fuzz/uri_fuzzer.c                                |  94 +++++++++++++++++++++++
 60 files changed, 1004 insertions(+), 4 deletions(-)

commit 511230aa9f11fca3e8186a24d93406151e21d415
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-03-12

    Update CI image to F43
    
    Also install kryoptic, nss-tools, and nss-softokn.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8e6e4e6d64d9fe91c62b0052c105b2b72d4c24ef
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-02-06

    Release 0.26.2
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 39f3b5ed3deccc2772e21ffb7d269329e3ecb600
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-01-26

    Fix issues found by static analysis
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 p11-kit/rpc-message.c | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit 49ccc27a1e433d6128d40a43c7ecc4624b0dbfde
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-01-19

    Release 0.26.1
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit c19f27835b2a36d7f975a7e64ceef386226daac2
Author: Daiki Ueno <ueno@gnu.org>
Date:   2026-01-17

    trust: Ensure compatibility of CKA_NSS_TRUST and CKA_TRUST
    
    Since the PKCS#11 3.2 update of the pkcs11.h, the CKA_TRUST_*
    attributes previously defined under the NSS vendor namespace were
    redefined with a new values, though some of them were defined without
    compatibility macros. This fixes that to preserve backward
    compatibility.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 trust/builder.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit 680ebb0f925bc912c32372b04413706ac9ddee26
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2026-01-15

    Release 0.26.0
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 5 +++++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 9 insertions(+), 4 deletions(-)

commit cd31c22784aea3327284cbf476a9046e2e3e7ab7
Author: Ekaterine Papava <papava.e@gtu.ge>
Date:   2026-01-03

    po: Update Georgian translation

 po/ka.po | 1198 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 797 insertions(+), 401 deletions(-)

commit fc9091ed5a73eb99ceb995c26b3e55237813a7c4
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-12-16

    Lookup DNs in reverse order (RFC4514 section 2.1)
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 trust/test-x509.c | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 trust/x509.c      | 13 +++++++---
 2 files changed, 81 insertions(+), 3 deletions(-)

commit 29e6a00dad9c95c780df0c546b75896be988aaad
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-10-03

    Update pkcs11 header to version 3.2
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/attrs.c                      |  70 +++--
 common/constants.c                  | 115 ++++++--
 common/mock.c                       | 526 ++++++++++++++++++++++++++++++++----
 common/mock.h                       | 232 +++++++++++++++-
 common/persist.c                    |  52 ++--
 common/pkcs11.h                     | 406 ++++++++++++++++++++++++++--
 common/pkcs11i.h                    |  98 +++++++
 common/pkcs11x.h                    |  36 +--
 p11-kit/client.c                    |   2 +-
 p11-kit/gen-fixed-closures.py       |   2 +-
 p11-kit/gen-wrappers.py             |   4 +-
 p11-kit/templates/base-wrappers.py  |   2 +-
 p11-kit/templates/fixed-wrappers.py |   2 +-
 p11-kit/templates/proxy-wrappers.py |   2 +-
 p11-kit/test-mock.c                 |  28 +-
 p11-kit/test-proxy3.c               |   4 +-
 p11-kit/test-rpc.c                  |   4 +-
 p11-kit/test-virtual.c              |   4 +-
 p11-kit/virtual.c                   |  28 +-
 subprojects/pkcs11-json             |   2 +-
 trust/builder.c                     |  52 ++--
 trust/frob-nss-trust.c              |  12 +-
 trust/test-builder.c                |  94 +++----
 trust/test-module.c                 |   4 +-
 24 files changed, 1489 insertions(+), 292 deletions(-)

commit 90dba4ded391c6232a78ee14db0da76efda7b1c3
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-09-22

    Release 0.25.10
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 152f87e297e9c05858bd4b0b0829784f5f0a76d8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-19

    ci: Install rsync on the base image
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a98c55d808483dd76b16120fb3353bb3dc80c451
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-19

    ci: Install gtk-doc, libxslt, and xmlto on the base image
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b45e7e8f90766c8e7a90bb74b378b2787df2dade
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-09-18

    Release 0.25.9
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 006e627ee95f1fce85c9825c8a0664adb1400e30
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-18

    subprojects/pkcs11-json: Update git submodule
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 subprojects/pkcs11-json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ee61264fa004e65176adf601c0bacc355d8b63b
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-13

    Release 0.25.8
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 3 +++
 configure.ac | 4 ++--
 meson.build  | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit e7b760a54c07a727aab3e5b1b3e5d889d5cb9b24
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-13

    Revert "rpc: Correctly map Mozilla certificate distrust attributes"
    
    This reverts commit 5a8430413c88e9ee34feebe98566ab35c0a1bb96, which
    broke RPC compatibility with the existing servers. Ideally, this should
    be conditionalized by the negotiated protocol version, though that
    wouldn't be straightforward as this is a low level function.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 40dfd50395ef4a1d5cd3d12a5ccc2a76bec6452c
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-10

    Release 0.25.7
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 3 +++
 configure.ac | 2 +-
 meson.build  | 2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit e90800d8c718b4ada7c8e1a0039c8f9069345291
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-10

    .gitignore: Ignore more files
    
    gettext 0.23.1 updates po/boldquot.sed and po/quot.sed, as well as
    introduces po/insert-header.sed. Also, the common/test-init.sh file is
    generated by configure from common/test-init.sh.in.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .gitignore      |  3 +++
 po/boldquot.sed | 11 +++++++++++
 po/quot.sed     | 11 +++++++++++
 3 files changed, 25 insertions(+)

commit 93ba10fd8c7764dd253105c9ae927dcaae406843
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    meson: Resurrect systemd unit files installation
    
    The commit cd761134869d1350fb7b7d477947cf83a33133de mistakenly removed
    the setting of with_systemd, resulting in the systemd unit files being
    not installed on the system.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 meson.build | 1 +
 1 file changed, 1 insertion(+)

commit c10a602f925352a1641817f74ef6baedb007a8e8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    autotools: Distribute zsh-completion subdir
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f8213725ff45d1c69956a55d3f047b6c711d4a2
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    Release 0.25.6
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 NEWS         | 15 +++++++++++++++
 configure.ac |  4 ++--
 meson.build  |  4 ++--
 3 files changed, 19 insertions(+), 4 deletions(-)

commit 49ed354b4b7100acc4cf081916d91007d85b5beb
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-09

    test: Make test-server run as root
    
    The test uses a custom user module, which is ignored if run as root,
    unless p11_conf_force_user_config is set.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/test-server.c | 4 ++++
 1 file changed, 4 insertions(+)

commit afcc8c97165107983c92fec56014d2c284ef1c46
Author: Maxim Cournoyer <maxim.cournoyer@gmail.com>
Date:   2025-05-25

    dist: Distribute generated headers.
    
    This means users of the source distribution do not need to use Python
    to have these generated at build time.
    
    * p11-kit/Makefile.am (EXTRA_DIST): Register $(VIRTUAL_GENERATED) and
    $(PROXY_GENERATED) files.
    
    Fixes: #666

 p11-kit/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 7228b611f2211f3c1b8378860467072a6faddda8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    test: Improve coverage in test_get_wrap_template
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/test-mock.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5a8430413c88e9ee34feebe98566ab35c0a1bb96
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-04

    rpc: Correctly map Mozilla certificate distrust attributes
    
    The attributes used for expressing certificate distrust in NSS were
    incorrectly mapped to a byte array.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 1559211a67719c456fec46a245d4d4614f28a450
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    rpc: Add module configuration option to specify server address
    
    This adds "server-address" option to the module configuration, which
    would be useful when connecting to p11-kit-server running as a system
    service. The option has a higher precedence over any other
    alternatives, the P11_KIT_SERVER_ADDRESS envvar, or
    the default $XDG_RUNTIME_DIR/pkcs11.
    
    For this to work, p11-kit-client.so exposes a vendor interface through
    C_GetInterface. This interface is hidden from the list obtained from
    C_GetInterfaceList.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 doc/manual/pkcs11.conf.xml |  7 +++++
 p11-kit/client.c           | 48 ++++++++++++++++++++++++++++++---
 p11-kit/client.h           | 11 ++++++++
 p11-kit/modules.c          | 39 ++++++++++++++++++++++++---
 p11-kit/test-server.c      | 66 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 163 insertions(+), 8 deletions(-)

commit bb8d9aa857ba03e1606001ce8a49dbbb16ecfee3
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-08

    ci: Install sccache and gcovr on the base image
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 168127cfc2036f817b92a3a82399522bf76329f4
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-08

    ci: cppcheck: Use compilation database generated with meson
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/actions/basic-meson/action.yaml | 4 +++-
 .github/workflows/test.yaml             | 7 +++++--
 common/compat.h                         | 4 +++-
 p11-kit/test-transport-base.c           | 1 +
 trust/frob-nss-trust.c                  | 2 ++
 trust/test-module.c                     | 1 +
 6 files changed, 15 insertions(+), 4 deletions(-)

commit 220353e1144eb9567086d854534d08fe4be6280f
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-05

    ci: Supply AddressSanitizer suppression file
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 .github/actions/basic-meson/action.yaml | 2 +-
 build/lsan.supp                         | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit a8793c9968602a82aebcd7be3081744995b739b9
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-09-03

    rpc: Fix empty array attribute handling
    
    When an empty array attribute is exchanged at the RPC level, the
    client previously sent the number of elements (= 0) even if it's
    empty, while the server doesn't expect it. This fixes the client to
    not send it.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 p11-kit/rpc-message.c |  2 +-
 p11-kit/test-mock.c   | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 6124cb00da954b9bfec87c8675b114841be1112d
Author: filmsi <miles@filmsi.net>
Date:   2025-08-18

    Update sl.po
    
    Updated Slovenian translation as they do not get updated from transifex.

 po/sl.po | 1222 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 817 insertions(+), 405 deletions(-)

commit c9a7741c687daa815596be17f49a9294a8573ba5
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-12

    ci: Do not pull in weak dependencies
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9e2ac451e1e063c9a306e6dd28ae027b20954618
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    ci: Assume DNF5
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bed8eb3ab403be9c60ed0b31cdf8c2b17b6f3bcb
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    ci: Specify the container registry
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c77c549af8d4c37b1cf190337b2e9497fbbda73
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-08-05

    Update CI image to Fedora 42
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 ci/Dockerfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01408e2651e2e31232b6c9f170fd66f502aba28e
Author: ArtSin <artsin666@gmail.com>
Date:   2025-08-02

    Fix running of test teardown on failure
    
    The variable `setup` is set to 1 between `setjmp` and call to `longjmp` in
    `p11_test_fail`, so its value is indeterminate upon the second return from
    `setjmp`. If the variable is stored in a register, `setjmp` resets it to the
    value before the call (0), and the teardown function is not executed. Fix
    by making the variable `volatile`.
    
    This bug can be observed, for example, by modifying `test-argv` to fail and
    building with LeakSanitizer and optimizations.

 common/test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1bbd6db36b68cae074b35845c212c7d9a8ba19fe
Author: Chan Lee <Leetimemp@gmail.com>
Date:   2025-03-28

    gen-wrappers.py: Use `with` statement to ensure file contents are written

 p11-kit/gen-wrappers.py | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit dfce3caa2159f1515368e8eb34f329a13c39db75
Author: Chan Lee <Leetimemp@gmail.com>
Date:   2025-03-28

    gen-fixed-closures.py: Use `with` statement to ensure file contents are written

 p11-kit/gen-fixed-closures.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cd761134869d1350fb7b7d477947cf83a33133de
Author: Daiki Ueno <ueno@gnu.org>
Date:   2025-04-30

    server: Remove libsystemd dependency for socket activation
    
    While libsystemd provides rich facilities to interact with systemd,
    the server uses it only for socket activation, which is now also
    supported by other service managers. This avoids the dependency by
    embedding the minimal implementation of socket activation.
    
    Signed-off-by: Daiki Ueno <ueno@gnu.org>

 configure.ac        |  3 --
 meson.build         |  7 +----
 p11-kit/meson.build |  4 +--
 p11-kit/server.c    | 90 +++++++++++++++++++++++++++++++++++++++++++----------
 4 files changed, 77 insertions(+), 27 deletions(-)

commit ecd31126164444851a1cfcd2e31071f063424d51
Author: Zhang Maiyun <me@maiyun.me>
Date:   2025-04-19

    Add justification for omitting NEED_READPASSPHRASE

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 9741f81e235bc5e11d6ff66fcc2fcd72cd24da4d
Author: Zhang Maiyun <me@maiyun.me>
Date:   2025-04-17

    Fix definition of NEED_READPASSPHRASE on non-unix

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a51fa0b3f9c0e888d9be9675634b312ee6a7b769
Author: Zoltan Fridrich <zfridric@redhat.com>
Date:   2025-01-30

    Update pkcs11.h to version 3.1
    
    Signed-off-by: Zoltan Fridrich <zfridric@redhat.com>

 common/constants.c    |  314 +++++
 common/pkcs11.h       | 3112 ++++++++++++++++++++++++++++++++++---------------
 p11-kit/test-mock.c   |    2 +-
 p11-kit/test-proxy3.c |    1 -
 4 files changed, 2515 insertions(+), 914 deletions(-)

commit c97e6f68bf432538eb07f50e719228f7d72fca05
Author: dura <dev@duradsl.duckdns.org>
